// Does bump mapped diffuse and specular lighting for a directional light
vs.1.1

// Compute the projection space vertex position
m4x4 oPos, v0, c0

// The first texture coordinate gets the texture coordinate of the mesh
mul r0, v7, c8
add oT0, r0, c8.zwxy

// The second texture coordinate gets a tangent space camera to vertex vector
sub r0, v0, c4
dp3 oT1.x, r0, v8
dp3 oT1.y, r0, v9
dp3 oT1.z, r0, v3

// The second texture coordinate gets a tangent space light to vertex vector. Squeeze into oD0?
dp3 oT2.x, c5, v8
dp3 oT2.y, c5, v9
dp3 oT2.z, c5, v3

// Multiply the color component of the material color by the attenuation factor and 
// the light color to get the final diffuse color and pass the alpha component
mov r0, c6
mul oD0.rgb, r0.rgb, c7
mov oD0.a, c6.a
